Add files to a logbook entry
curl --request PUT \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/logbook/{logbookEntryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"filename": "<string>"
}
]
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/logbook/{logbookEntryId}"
payload = [{ "filename": "<string>" }]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{filename: '<string>'}])
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/logbook/{logbookEntryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/logbook/{logbookEntryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'filename' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/logbook/{logbookEntryId}"
payload := strings.NewReader("[\n {\n \"filename\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/logbook/{logbookEntryId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"filename\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/logbook/{logbookEntryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"filename\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body{
"blobs": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
}
],
"secret": "<string>",
"itemId": "<unknown>"
}Logbook
Add files to a logbook entry
Add files to an existing logbook entry of the specified vehicle
PUT
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
blobs
/
logbook
/
{logbookEntryId}
Add files to a logbook entry
curl --request PUT \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/logbook/{logbookEntryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"filename": "<string>"
}
]
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/logbook/{logbookEntryId}"
payload = [{ "filename": "<string>" }]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{filename: '<string>'}])
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/logbook/{logbookEntryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/logbook/{logbookEntryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'filename' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/logbook/{logbookEntryId}"
payload := strings.NewReader("[\n {\n \"filename\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/logbook/{logbookEntryId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"filename\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/logbook/{logbookEntryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"filename\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body{
"blobs": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
}
],
"secret": "<string>",
"itemId": "<unknown>"
}This endpoint deals with defining the names and content types of the files. Use Get a file upload link to upload the actual contents of the files by providing the UUIDs and secret from the response.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The two-letter country code of the asset provider
Required string length:
2The three-character code of the asset provider the vehicles belong to
Required string length:
3The id of the vehicle
Id of the logbook entry
Body
application/json
Information about the blobs to be uploaded

